summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/xap
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/xap')
-rwxr-xr-xslackware64-current/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/slackware64-current/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild b/slackware64-current/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
index 5810c5732..7db7e6c35 100755
--- a/slackware64-current/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
+++ b/slackware64-current/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
@@ -180,7 +180,6 @@ OPTIONS="\
--enable-official-branding \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --with-default-mozilla-five-home=/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER \
--with-system-zlib \
--enable-alsa \
--enable-application=browser \
@@ -250,15 +249,16 @@ if [ "$PGO" = "yes" ]; then
# Launch Xvfb to let the profile scripts run in a X session.
# Ugly note: if the build breaks you may want to do a "killall Xvfb".
Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
- dbus-launch --exit-with-session make -f client.mk build || exit 1
+ dbus-launch --exit-with-session ./mach build || exit 1
kill $! || true
else
# Do a normal build
echo "ac_add_options --disable-tests" >> .mozconfig
- make -f client.mk build || exit 1
+ ./mach build || exit 1
fi
-make -f client.mk install DESTDIR=$PKG || exit 1
+./mach buildsymbols || exit 1
+DESTDIR=$PKG ./mach install || exit 1
# We don't need these (just symlinks anyway):
rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/firefox-devel-$RELEASEVER